Page MenuHomeFreeBSD

Remove Perforce from the documentation tree.
ClosedPublic

Authored by gordon on May 11 2018, 5:12 PM.

Details

Summary

Remove navbar reference.
Remove p4-primer.
Remove references from committer-guide.
Remove reference in the other development guides.
Remove the Perforce administration team.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 16538
Build 16452: arc lint + arc unit

Event Timeline

gordon created this revision.May 11 2018, 5:12 PM
bjk accepted this revision.May 11 2018, 5:20 PM
bjk added a subscriber: bjk.

Looks good other than the potential build issue (which I did not test).

en_US.ISO8859-1/articles/committers-guide/article.xml
871 ↗(On Diff #42412)

I think the current style would prefer writing out "Subversion" instead of the SVN acronym, but that's orthogonal to your change.

And in fact the need to give advance notice of file editing is so uncommon these days that I would be okay with removing this paragraph entirely (but do not insist upon it).

en_US.ISO8859-1/books/dev-model/book.xml
2058 ↗(On Diff #42412)

Normally we would leave "developed" on the second line so as to only have one line changing, to help translators.

en_US.ISO8859-1/share/xml/teams.ent
40 ↗(On Diff #42412)

This might need a build-test, in case the entity is used in any translated documents.

This revision is now accepted and ready to land.May 11 2018, 5:20 PM
gordon marked an inline comment as done.May 12 2018, 6:35 AM
gordon added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
871 ↗(On Diff #42412)

I would agree on the above points, but I think it would be better done separately.

en_US.ISO8859-1/books/dev-model/book.xml
2058 ↗(On Diff #42412)

Reverted.

gordon updated this revision to Diff 42444.May 12 2018, 6:36 AM
gordon marked an inline comment as done.
gordon retitled this revision from Remove Perforce from the documentation tree. Remove navbar reference. Remove p4-primer. Remove references from committer-guide. Remove reference in the other development guides. Remove the Perforce administration team. to Remove Perforce from the documentation tree..
gordon edited the summary of this revision. (Show Details)

Address feedback from bjk.

This revision now requires review to proceed.May 12 2018, 6:36 AM
This revision was not accepted when it landed; it landed in state Needs Review.May 20 2018, 11:11 PM
This revision was automatically updated to reflect the committed changes.